Why my Android  phone can’t connect with Smart Mini Vibe?

Smart Mini Vibe with latest BLE Technology (Bluetooth 4.0),  at this Moment, Smart Mini Vibe can support Android Phone with OS 4.3 or above, and the Phone must support Bluetooth 4.0 technology.

Copyright © 2013 Magic Motion